
{% extends "base.html" %}
{% load static %}
{% block content %}
{% load i18n %}

<!-- ==========Page Header Section Starts Here========== -->
    <div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/4.png" %})">
        <div class="container">
            <div class="pageheader__content">
                <h2>{% trans "Blogs" %}</h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{% url "home:home" %}">{% trans "Home" %}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{% trans "Blogs" %}</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- ==========Page Header Section Ends Here========== -->



    <!-- ===============>> Blog section start here <<================= -->
    <section class="blog blog--style1 padding-top padding-bottom" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="section-header text-center">
                <h2>{% trans "Latest News, Blog & Articles" %}</h2>
            </div>
            <div class="blog__wrapper">
                <div class="row g-4">
                    {% for blog in blog %}
                        <div class="col-lg-4 col-md-6" data-aos="fade-up" data-aos-duration="700">
                            <div class="blog__item">
                                <div class="blog__item-inner">
                                    <div class="blog__thumb">
                                        {% if blog.photo1 %}
                                            <img src="{{ blog.photo1.url }}" alt="blog Images">
                                        {% endif %}
                                    </div>

                                    <div class="blog__content">
                                        <div class="blog__content-top">
                                            <span class="blog__meta-tag blog__meta-tag--cat{{ blog.style }}">{{ blog.category.name }}</span>
                                        </div>
                                        <h6> <a href="{% url "blog:blogs_detail" blog.id %}">{{ blog.title|slice:"0:50" }}</a> </h6>

                                        <div class="blog__content-bottom blog__content-bottom--border">
                                            <a href="#"><span><i class="fa-solid fa-calendar-days"></i></span>
                                                {{ blog.update_at }}</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                    
                </div>
                <div class="paginations">
                    <ul class="lab-ul d-flex flex-wrap justify-content-center mb-1">
                        {% if mentors.has_previous %}
                            <li>
                                <a href="?page={{ mentors.previous_page_number }}"><i class="fa-solid fa-arrow-left"></i></a>
                            </li>
                        {% endif %}
                        
                        {% if mentors|length > 13 %}
                            <li>
                                <a href="#" class="active">{{ mentors.number }}</a>
                            </li>
                        {% endif %}
                        {% if mentors.has_next %}
                        <li>
                            <a href="?page={{ mentors.next_page_number }}"><i class="fa-solid fa-arrow-right"></i></a>
                        </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Blog section end here <<================= -->








    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="newsletter__wrapper">
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2>{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->


{% endblock content %} 